Page MenuHomePhabricator

Logged-out views must not make request for empty modules=user script
Closed, ResolvedPublic

Description

Looking at a performance timeline capture for a logged-out page view on en.wikipedia.org, I notice the following request.

https://en.wikipedia.org/w/load.php?debug=false&lang=en&modules=user&skin=vector&version=0um5hfh

mw.loader.implement("user@1pi20tl","");

This didn't used to be the case and is a regression.

Event Timeline

Krinkle created this task.May 23 2018, 2:50 PM
Restricted Application added a project: Performance-Team. · View Herald TranscriptMay 23 2018, 2:50 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 434713 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/core@master] resourceloader: Remove 'user.styles' dependency from 'user' module

https://gerrit.wikimedia.org/r/434713

Change 434713 merged by jenkins-bot:
[mediawiki/core@master] resourceloader: Remove 'user.styles' dependency from 'user' module

https://gerrit.wikimedia.org/r/434713

Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Resolved? Or do you want to backport to prod?

Change 434818 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/core@wmf/1.32.0-wmf.5] resourceloader: Remove 'user.styles' dependency from 'user' module

https://gerrit.wikimedia.org/r/434818

Yes (backport).

Change 434819 had a related patch set uploaded (by Jforrester; owner: Krinkle):
[mediawiki/core@wmf/1.32.0-wmf.4] resourceloader: Remove 'user.styles' dependency from 'user' module

https://gerrit.wikimedia.org/r/434819

Change 434818 merged by jenkins-bot:
[mediawiki/core@wmf/1.32.0-wmf.5] resourceloader: Remove 'user.styles' dependency from 'user' module

https://gerrit.wikimedia.org/r/434818

Change 434819 merged by jenkins-bot:
[mediawiki/core@wmf/1.32.0-wmf.4] resourceloader: Remove 'user.styles' dependency from 'user' module

https://gerrit.wikimedia.org/r/434819

Mentioned in SAL (#wikimedia-operations) [2018-05-24T10:51:15Z] <krinkle@tin> Synchronized php-1.32.0-wmf.5/includes/resourceloader/ResourceLoaderUserModule.php: T195380 (duration: 01m 08s)

Mentioned in SAL (#wikimedia-operations) [2018-05-24T10:55:32Z] <krinkle@tin> Synchronized php-1.32.0-wmf.4/includes/resourceloader/ResourceLoaderUserModule.php: T195380 (duration: 01m 08s)

Krinkle closed this task as Resolved.May 26 2018, 10:05 AM
Krinkle triaged this task as High priority.
Vvjjkkii renamed this task from Logged-out views must not make request for empty modules=user script to 3fcaaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Krinkle as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from 3fcaaaaaaa to Logged-out views must not make request for empty modules=user script.Jul 2 2018, 1:34 PM
CommunityTechBot closed this task as Resolved.
CommunityTechBot assigned this task to Krinkle.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.